User groups
A flat list of the groups the user belongs to, with membershipId (for DELETE /policy-groups/{id}/members/{membershipId}). Without vaultId, returns groups from all Vaults.
curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/users/user-1/policy-groups?vaultId=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/users/user-1/policy-groups?vaultId=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/users/user-1/policy-groups?vaultId=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://policy-engine-rest.ezig.workers.dev/api/v1/users/user-1/policy-groups?vaultId=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/users/user-1/policy-groups?vaultId=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
[
{
"membershipId": "example_string",
"joinedAt": "2026-07-02T11:25:15.134000Z",
"id": "example_string",
"code": "example_string",
"name": "John Doe",
"vaultId": "example_string",
"_count": {
"policies": 42
}
}
]
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
GET
/api/v1/users/{userId}/policy-groupsGET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredSession token. Mobile/services. The web uses a cookie.
Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
RequiredAPI key (sent in cookie)
path
userIdstring
RequiredUser id
query
vaultIdstring
Filter by Vault
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Session token. Mobile/services. The web uses a cookie.
path
parameterstring
RequiredAPI Key for authentication. Provide your API key in the cookie.
Path Parameters
Query Parameters
vaultIdstring
Filter by Vault
Responses
membershipIdstring
RequiredjoinedAtstring
Requiredidstring
RequiredGroup id
codestring
Requirednamestring
RequiredvaultIdstring
Required_countobject
RequiredWas this page helpful?